Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# IOP_IORA.h File Reference

`#include "tao/orbconf.h"`

Include dependency graph for IOP_IORA.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | IOP
## Defines
#define | TAO_EXPORT_MACRO TAO_Export
## Functions
TAO_Export void | operator<<= (CORBA::Any &, const IOP::TaggedProfile &)
TAO_Export void | operator<<= (CORBA::Any &, IOP::TaggedProfile *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, IOP::TaggedProfile *&)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const IOP::TaggedProfile *&)
TAO_Export void | operator<<= (CORBA::Any &, const IOP::IOR &)
TAO_Export void | operator<<= (CORBA::Any &, IOP::IOR *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, IOP::IOR *&)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const IOP::IOR *&)
TAO_Export void | operator<<= (CORBA::Any &, const IOP::TaggedComponent &)
TAO_Export void | operator<<= (CORBA::Any &, IOP::TaggedComponent *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, IOP::TaggedComponent *&)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const IOP::TaggedComponent *&)
TAO_Export void | operator<<= (CORBA::Any &, const IOP::MultipleComponentProfile &)
TAO_Export void | operator<<= (CORBA::Any &, IOP::MultipleComponentProfile *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, IOP::MultipleComponentProfile *&)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const IOP::MultipleComponentProfile *&)
TAO_Export void | operator<<= (CORBA::Any &, const IOP::TaggedComponentList &)
TAO_Export void | operator<<= (CORBA::Any &, IOP::TaggedComponentList *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, IOP::TaggedComponentList *&)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const IOP::TaggedComponentList *&)
TAO_Export void | operator<<= (CORBA::Any &, const IOP::TaggedComponentSeq &)
TAO_Export void | operator<<= (CORBA::Any &, IOP::TaggedComponentSeq *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, IOP::TaggedComponentSeq *&)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const IOP::TaggedComponentSeq *&)
TAO_Export void | operator<<= (CORBA::Any &, const IOP::ServiceContext &)
TAO_Export void | operator<<= (CORBA::Any &, IOP::ServiceContext *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, IOP::ServiceContext *&)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const IOP::ServiceContext *&)
TAO_Export void | operator<<= (CORBA::Any &, const IOP::ServiceContextList &)
TAO_Export void | operator<<= (CORBA::Any &, IOP::ServiceContextList *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, IOP::ServiceContextList *&)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const IOP::ServiceContextList *&)

## Define Documentation

#define TAO_EXPORT_MACRO TAO_Export

## Function Documentation

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | IOP::ServiceContextList * |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | const IOP::ServiceContextList & |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | IOP::ServiceContext * |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | const IOP::ServiceContext & |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | IOP::TaggedComponentSeq * |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | const IOP::TaggedComponentSeq & |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | IOP::TaggedComponentList * |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | const IOP::TaggedComponentList & |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | IOP::MultipleComponentProfile * |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | const IOP::MultipleComponentProfile & |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | IOP::TaggedComponent * |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | const IOP::TaggedComponent & |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | IOP::IOR * |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | const IOP::IOR & |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | IOP::TaggedProfile * |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | const IOP::TaggedProfile & |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const IOP::ServiceContextList *& |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | IOP::ServiceContextList *& |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const IOP::ServiceContext *& |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | IOP::ServiceContext *& |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const IOP::TaggedComponentSeq *& |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | IOP::TaggedComponentSeq *& |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const IOP::TaggedComponentList *& |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | IOP::TaggedComponentList *& |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const IOP::MultipleComponentProfile *& |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | IOP::MultipleComponentProfile *& |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const IOP::TaggedComponent *& |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | IOP::TaggedComponent *& |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const IOP::IOR *& |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | IOP::IOR *& |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const IOP::TaggedProfile *& |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | IOP::TaggedProfile *& |
| ) |